<script lang="ts">
  import { getRank, getSuit } from "../serverUtils";
  import InlineRank from "./icons/InlineRank.svelte";
  import InlineSuit from "./icons/InlineSuit.svelte";

  export let performedAction: PerformedAction;

  function amountString(amount: number) {
    switch (amount) {
      case 0:
        return "no";
      case 1:
        return "a";
      case 2:
        return "two";
      case 3:
        return "three";
      case 4:
        return "four";
      case 5:
        return "five";
      default:
        return "";
    }
  }
  function pluralSuffix(amount: number) {
    switch (amount) {
      case 1:
        return "";
      default:
        return "'s";
    }
  }
</script>

{#if performedAction[0] === "Played"}
  I play my
  <InlineRank rank={getRank(performedAction[1].card)} />
  <InlineSuit suit={getSuit(performedAction[1].card)} />
  .
{:else if performedAction[0] === "Hinted"}
  <gs6-user userid={performedAction[1].target} />
  , you have {amountString(performedAction[1].amount)}
  {#if performedAction[0] === "Hinted" && performedAction[1].hint[0] === "Rank"}
    <InlineRank rank={performedAction[1].hint[1].rank} />{pluralSuffix(
      performedAction[1].amount
    )}
  {:else if performedAction[0] === "Hinted" && performedAction[1].hint[0] === "Suit"}
    <InlineSuit suit={performedAction[1].hint[1].suit} />{pluralSuffix(
      performedAction[1].amount
    )}
  {/if}
  in your hand.
{:else if performedAction[0] === "Discarded"}
  I discard my
  <InlineRank rank={getRank(performedAction[1].card)} />
  <InlineSuit suit={getSuit(performedAction[1].card)} />
  .
{/if}
